Kommentar
Åtkomst till den här sidan kräver auktorisering. Du kan prova att logga in eller ändra kataloger.
Åtkomst till den här sidan kräver auktorisering. Du kan prova att ändra kataloger.
Create a purchase invoice line object in Business Central.
HTTP request (v1.0)
Replace the URL prefix for Business Central depending on environment following the guideline.
POST businesscentralPrefix/companies({id})/purchaseInvoices({id})/purchaseInvoiceLines
Request headers (v1.0)
| Header | Value |
|---|---|
| Authorization | Bearer {token}. Required. |
| Content-Type | application/json |
Request body (v1.0)
In the request body, supply a JSON representation of a purchaseInvoiceLines object.
Response (v1.0)
If successful, this method returns 201 Created response code and a purchaseInvoiceLines object in the response body.
Example (v1.0)
Request
Here is an example of a request.
POST https://{businesscentralPrefix}/api/v1.0/companies({id})/purchaseInvoices({id})/purchaseInvoiceLines
Content-type: application/json
{
"itemId": "id-value",
"lineType": "Item",
"quantity": 9
}
Related information
Tips for working with the APIs
Purchase Invoice Line
Get Purchase Invoice Line
Update Purchase Invoice Line
Delete Purchase Invoice Line